#!/usr/bin/perl -w
#####################
#
# send.pl
# this program sends a message to another socket

use IO::Socket;
require Auth;

open FH, "nodes.dat";

while($target = <FH>)
{
    #don't do blank lines
    next if $target !~ m/\w/;

    #don't do comments
    next if $target =~ m/\/\//;

    chomp $target;

    $sock = new IO::Socket::INET( PeerAddr => "$target",
				  PeerPort => 13013,
				  Proto => 'tcp',
				  );
    unless($sock)
    {
	print "Error opening socket on $target: $!\n" unless $sock;
	next;
    }


    #do authentication -get value, 'encrypt/scramble', send
    $auth_test = <$sock>;
    my $auth_value = Auth::authenticate_value($auth_test);
    print $sock "$auth_value\n";


    print $sock "msg yippeee!!!\n";
    close $sock;
}

close FH;
