
#######################################

=head1 NAME

 Auth

=head1 METHODS/FUNCTIONS

B<Public>

L<authenticate_value()|"authenticate_value()">

B<Private>

=head1 DESCRIPTION

 calculates authentication value

=head1 NOTES

 None

=cut
###########################################

package Auth;

@ISA = qw(Auth);

sub authenticate_value
{
    my $v = shift @_;

    my $temp;

    foreach(1..11)
    {
	
	$v ^= 25477292613;
	
	$temp = $v & 65535;
	$v >>= 16;
	
	$temp = 3 if $temp == 0;
	$v = 2 if $v == 0;
	
	$v *= $temp;
    }
    
    $temp = $v % 119;
    $temp *= $v % 997;
    
    $v ^= $temp;

    return $v;
}

1;
